## net.i2p.router.web
Class ShitlistRenderer

    java.lang.Object
      net.i2p.router.web.ShitlistRenderer

    public class ShitlistRenderer

extends java.lang.Object

Moved from Shitlist.java

Constructor Summary
`ShitlistRenderer(RouterContext context)`

Method Summary
`void` `renderStatusHTML(java.io.Writer out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShitlistRenderer

    public ShitlistRenderer(RouterContext context)

Method Detail

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`